### Class

# Gtk SliceListModel

#### Description [src]

    final class Gtk.SliceListModel : GObject.Object
      implements Gio.ListModel, Gtk.SectionModel {
      /* No available fields */
    }

A list model that presents a slice of another model.

This is useful when implementing paging by setting the size to the number of elements per page and updating the offset whenever a different page is opened.

`GtkSliceListModel` passes through sections from the underlying model.

#### Ancestors

- GObject

#### Implements

- GListModel
- GtkSectionModel

#### Constructors

###### gtk_slice_list_model_new

Creates a new slice model.

#### Instance methods

###### gtk_slice_list_model_get_model

Gets the model that is currently being used or `NULL` if none.

###### gtk_slice_list_model_get_offset

Gets the offset set via gtk_slice_list_model_set_offset().

###### gtk_slice_list_model_get_size

Gets the size set via gtk_slice_list_model_set_size().

###### gtk_slice_list_model_set_model

Sets the model to show a slice of.

###### gtk_slice_list_model_set_offset

Sets the offset into the original model for this slice.

###### gtk_slice_list_model_set_size

Sets the maximum size. `self` will never have more items than `size`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

##### Methods inherited from GtkSectionModel (2)

###### gtk_section_model_get_section

Query the section that covers the given position. The number of items in the section can be computed by `out_end - out_start`.

since: 4.12

###### gtk_section_model_sections_changed

This function emits the `GtkSectionModel::sections-changed` signal to notify about changes to sections.

since: 4.12

#### Properties

###### Gtk.SliceListModel:item-type

The type of items. See `g_list_model_get_item_type()`.

since: 4.8

###### Gtk.SliceListModel:model

Child model to take slice from.

###### Gtk.SliceListModel:n-items

The number of items. See `g_list_model_get_n_items()`.

since: 4.8

###### Gtk.SliceListModel:offset

Offset of slice.

###### Gtk.SliceListModel:size

Maximum size of slice.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

##### Signals inherited from GtkSectionModel (1)

###### GtkSectionModel::sections-changed

Emitted when the start-of-section state of some of the items in `model` changes.

since: 4.12

#### Class structure

    struct GtkSliceListModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.